<template>
	<div class="layout-default">
		<nav-menu></nav-menu>
		<div class="main-container">
			<main class="main">
				<slot></slot>
			</main>
		</div>
		<footer class="footer">
			&copy; Seed 2 Smoke Consulting Ltd. 2020
		</footer>
	</div>
</template>

<script>
	import NavMenu from "../components/NavMenu";
	export default {
		name: "LayoutDefault",
		components: {NavMenu}
	}
</script>

<style scoped>
	.layout-default {
		display: flex;
		flex-direction: column;
    height: 100%;
	}
	.main-container {
		display: flex;
		flex-direction: row;
		width: 100%;
		justify-content: center;
    flex: 1 0 auto;
	}
  .main {
    margin-top: 20px;
		max-width: 1400px;
	}
  .footer {
    flex-shrink: 0;
    margin-top: 50px;
    background-color: #c3be2f;
    color: #ffffff;
    height: 60px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    padding: 0 30px;
  }

  @media (max-width: 599px) {

  }

  @media (min-width: 600px) {
    .main {
      margin-top: 50px;
    }
  }

  @media (min-width: 900px) {

  }

  @media (min-width: 1200px) {

  }

  @media (min-width: 1800px) {
    .main {
      max-width: unset;
    }
  }
</style>